Composer - Draw map canvas items option
2014-06-14 02:34 AM - Pedro Venancio

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18987
Description

| have several Composer templates created in QGIS 2.2 that, when opened in master, appear with "Draw map canvas items" option
unchecked.

Basically what happens is that as the "Draw map canvas items" option appears unchecked when opening a template created in an older
version of QGIS, the map is printed in white. Grids, annotations, legend, etc., appears ok, but the content of canvas is blank.

If you open a new composer and add a new map, "Draw map canvas items" option appears selected, so opening old templates, the ideal
was that this option also appear selected by default.

Associated revisions

Revision 703ddb3d - 2014-06-14 02:10 PM - Nyall Dawson

[composer] Loading old templates should default to drawing map canvas items (fix #10581)

History

#1 - 2014-06-14 05:08 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"703ddb3dbf1c0deea2e4924a309077dd26109813".

#2 - 2014-06-14 06:51 AM - Pedro Venancio
- Assignee set to Nyall Dawson
- Status changed from Closed to Reopened

Hi Nyall,

Thank you very much for the fix, but it seems that still does not solve. | just recompiled and the option remains unchecked for old templates.

Someone confirms?

#3 - 2014-06-14 08:39 PM - Nyall Dawson

Can you please attach a sample template which demonstrates this issue?
#4 - 2014-06-15 05:09 AM - Pedro Venancio

- File Planta_localizacao _2k_A3 3 QGIS2.qpt added

Hi Nyall,

Yes, of course.

I've been watching and in .qgpt file appears:

<ComposerMap keeplLayerSet="false" overviewFrameMap="-1" id="0" previewMode="Cache" drawCanvasltems="false">

ie, the option is set to false.
The strange thing is that in QGIS 2.2 the map canvas is printed even with this option set to false. At this moment it seems to me that is the master who is

acting correctly, no?

#5 - 2014-06-16 03:41 AM - Pedro Venancio

- Status changed from Reopened to Closed

Hi Nyall,

| think the problem was not the one | mentioned here, so | will close this ticket and open a new one - #10599.

Files

draw_map_canvas_items_1.jpg 274 KB 2014-06-14 Pedro Venancio
